import garnet.gateway.schema.*;

import java.io.PrintWriter;
import java.io.StringReader;
import java.io.FileReader;
import org.exolab.castor.xml.MarshalException;
import org.exolab.castor.xml.ValidationException;
import org.exolab.castor.xml.Unmarshaller;

import org.gxos.schema.TreeObject;
import org.gxos.schema.types.NodeTypeType;
import org.gxos.schema.types.NodeRootingType;
import org.gxos.schema.*;
//import org.gxos.schema.types.*;
import org.gxos.*;
import org.gxos.util.*;

public class GatewayTest2 {

  public GatewayTest2() {

  try {
    System.out.println("Hello World!\n");
    PrintWriter pw = new PrintWriter(System.out);

    FileReader fr = new FileReader("app1.xml");

    Application a = Application.unmarshal(fr);

    System.out.println("ok");

    System.out.println(a.getName());
    System.out.println(a.getMachineCount());
    System.out.println(a.getMachine(0).getName());    
    System.out.println(a.getVisualizationToolkit(0).getName());    

    } catch(Exception e) {
        e.printStackTrace();
    }
  }

  public void report(TreeObject t, PrintWriter pw) {

    try {

      System.out.println("Object marshalled:\n");
      t.marshal(pw);

    } catch (MarshalException me) {
      System.out.println("Marshal exception: "+me.getMessage());
    } catch (ValidationException ve) {
      System.out.println("Validation exception: "+ve.getMessage());
    } catch (Exception e) {
      System.out.println("Exception: "+e.getMessage());
    }
    System.out.print("\n\n");
  }

  public void unmarshalTest(String xmlstr, PrintWriter pw) {

    /* try {

      /*System.out.println("Unmarshaling...");
      StringReader sr = new StringReader(xmlstr);
      Entity b = Entity.unmarshal(sr);
      report(b, pw);

    } catch (MarshalException me) {
      System.out.println("Marshal exception: "+me.getMessage());
    } catch (ValidationException ve) {
      System.out.println("Validation exception: "+ve.getMessage());
    } catch (Exception e) {
      System.out.println("Exception: "+e.getMessage());
    }
    System.out.print("\n\n"); */
  }

  public static void main(String[] args) {
    GatewayTest2 test1 = new GatewayTest2();
  }
}











